#define SIGNEDP(x) (((x)-1)<0)
#define SIGNED_(x) (SIGNEDP(x)?"":"un")
#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <netinet/in.h>
#include <netinet/in_systm.h>
#include <netinet/ip.h>
#include <net/if.h>
#include <netdb.h>
#include <errno.h>
#include <netinet/tcp.h>
#include <fcntl.h>
#include <sys/mman.h>
#include <dirent.h>
#include <signal.h>
#include <termios.h>
main() { 

printf("(in-package :SB-POSIX)\n");
printf("(cl:deftype int () '(%ssigned-byte %d))\n",SIGNED_(int),8*sizeof (int));
printf("(cl:deftype char () '(%ssigned-byte %d))\n",SIGNED_(char),8*sizeof (char));
printf("(cl:deftype long () '(%ssigned-byte %d))\n",SIGNED_(long),8*sizeof (long));
printf("(cl:defconstant size-of-int %d)\n",sizeof (int));
printf("(cl:defconstant size-of-char %d)\n",sizeof (char));
printf("(cl:defconstant size-of-long %d)\n",sizeof (long));
#ifdef AF_INET
printf("(cl:defconstant AF-INET %d \"IP Protocol family\")\n",AF_INET);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for AF_INET (unknown to the C compiler).\")\n");
#endif
printf("(sb-alien:define-alien-type UID-T (sb-alien:%ssigned %d))\n",SIGNED_(uid_t),8*(sizeof(uid_t)));
printf("(sb-alien:define-alien-type GID-T (sb-alien:%ssigned %d))\n",SIGNED_(gid_t),8*(sizeof(gid_t)));
printf("(sb-alien:define-alien-type PID-T (sb-alien:%ssigned %d))\n",SIGNED_(pid_t),8*(sizeof(pid_t)));
printf("(sb-alien:define-alien-type INO-T (sb-alien:%ssigned %d))\n",SIGNED_(ino_t),8*(sizeof(ino_t)));
printf("(sb-alien:define-alien-type NLINK-T (sb-alien:%ssigned %d))\n",SIGNED_(nlink_t),8*(sizeof(nlink_t)));
printf("(sb-alien:define-alien-type TIME-T (sb-alien:%ssigned %d))\n",SIGNED_(time_t),8*(sizeof(time_t)));
printf("(sb-alien:define-alien-type DEV-T (sb-alien:%ssigned %d))\n",SIGNED_(dev_t),8*(sizeof(dev_t)));
#ifdef SIGHUP
printf("(cl:defconstant SIGHUP %d \"terminal line hangup.\")\n",SIGHUP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGHUP (unknown to the C compiler).\")\n");
#endif
#ifdef SIGINT
printf("(cl:defconstant SIGINT %d \"interrupt program.\")\n",SIGINT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGINT (unknown to the C compiler).\")\n");
#endif
#ifdef SIGQUIT
printf("(cl:defconstant SIGQUIT %d \"quit program.\")\n",SIGQUIT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGQUIT (unknown to the C compiler).\")\n");
#endif
#ifdef SIGILL
printf("(cl:defconstant SIGILL %d \"illegal instruction.\")\n",SIGILL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGILL (unknown to the C compiler).\")\n");
#endif
#ifdef SIGTRAP
printf("(cl:defconstant SIGTRAP %d \"trace trap.\")\n",SIGTRAP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGTRAP (unknown to the C compiler).\")\n");
#endif
#ifdef SIGABRT
printf("(cl:defconstant SIGABRT %d \"abort program (formerly SIGIOT).\")\n",SIGABRT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGABRT (unknown to the C compiler).\")\n");
#endif
#ifdef SIGEMT
printf("(cl:defconstant SIGEMT %d \"emulate instruction executed.\")\n",SIGEMT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGEMT (unknown to the C compiler).\")\n");
#endif
#ifdef SIGFPE
printf("(cl:defconstant SIGFPE %d \"floating-point exception.\")\n",SIGFPE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGFPE (unknown to the C compiler).\")\n");
#endif
#ifdef SIGKILL
printf("(cl:defconstant SIGKILL %d \"kill program.\")\n",SIGKILL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGKILL (unknown to the C compiler).\")\n");
#endif
#ifdef SIGBUS
printf("(cl:defconstant SIGBUS %d \"bus error.\")\n",SIGBUS);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGBUS (unknown to the C compiler).\")\n");
#endif
#ifdef SIGSEGV
printf("(cl:defconstant SIGSEGV %d \"segmentation violation.\")\n",SIGSEGV);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGSEGV (unknown to the C compiler).\")\n");
#endif
#ifdef SIGSYS
printf("(cl:defconstant SIGSYS %d \"non-existent system call invoked.\")\n",SIGSYS);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGSYS (unknown to the C compiler).\")\n");
#endif
#ifdef SIGPIPE
printf("(cl:defconstant SIGPIPE %d \"write on a pipe with no reader.\")\n",SIGPIPE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGPIPE (unknown to the C compiler).\")\n");
#endif
#ifdef SIGALRM
printf("(cl:defconstant SIGALRM %d \"real-time timer expired.\")\n",SIGALRM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGALRM (unknown to the C compiler).\")\n");
#endif
#ifdef SIGTERM
printf("(cl:defconstant SIGTERM %d \"software termination signal.\")\n",SIGTERM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGTERM (unknown to the C compiler).\")\n");
#endif
#ifdef SIGURG
printf("(cl:defconstant SIGURG %d \"urgent condition present on socket.\")\n",SIGURG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGURG (unknown to the C compiler).\")\n");
#endif
#ifdef SIGSTOP
printf("(cl:defconstant SIGSTOP %d \"stop (cannot be caught or ignored).\")\n",SIGSTOP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGSTOP (unknown to the C compiler).\")\n");
#endif
#ifdef SIGTSTP
printf("(cl:defconstant SIGTSTP %d \"stop signal generated from keyboard.\")\n",SIGTSTP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGTSTP (unknown to the C compiler).\")\n");
#endif
#ifdef SIGCONT
printf("(cl:defconstant SIGCONT %d \"continue after stop.\")\n",SIGCONT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGCONT (unknown to the C compiler).\")\n");
#endif
#ifdef SIGCHLD
printf("(cl:defconstant SIGCHLD %d \"child status has changed.\")\n",SIGCHLD);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGCHLD (unknown to the C compiler).\")\n");
#endif
#ifdef SIGTTIN
printf("(cl:defconstant SIGTTIN %d \"background read attempted from control terminal.\")\n",SIGTTIN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGTTIN (unknown to the C compiler).\")\n");
#endif
#ifdef SIGTTOU
printf("(cl:defconstant SIGTTOU %d \"background write attempted to control terminal.\")\n",SIGTTOU);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGTTOU (unknown to the C compiler).\")\n");
#endif
#ifdef SIGIO
printf("(cl:defconstant SIGIO %d \"I/O is possible on a descriptor (see fcntl(2)).\")\n",SIGIO);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGIO (unknown to the C compiler).\")\n");
#endif
#ifdef SIGXCPU
printf("(cl:defconstant SIGXCPU %d \"cpu time limit exceeded (see setrlimit(2)).\")\n",SIGXCPU);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGXCPU (unknown to the C compiler).\")\n");
#endif
#ifdef SIGXFSZ
printf("(cl:defconstant SIGXFSZ %d \"file size limit exceeded (see setrlimit(2)).\")\n",SIGXFSZ);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGXFSZ (unknown to the C compiler).\")\n");
#endif
#ifdef SIGVTALRM
printf("(cl:defconstant SIGVTALRM %d \"virtual time alarm (see setitimer(2)).\")\n",SIGVTALRM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGVTALRM (unknown to the C compiler).\")\n");
#endif
#ifdef SIGPROF
printf("(cl:defconstant SIGPROF %d \"profiling timer alarm (see setitimer(2)).\")\n",SIGPROF);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGPROF (unknown to the C compiler).\")\n");
#endif
#ifdef SIGWINCH
printf("(cl:defconstant SIGWINCH %d \"Window size change.\")\n",SIGWINCH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGWINCH (unknown to the C compiler).\")\n");
#endif
#ifdef SIGINFO
printf("(cl:defconstant SIGINFO %d \"status request from keyboard.\")\n",SIGINFO);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGINFO (unknown to the C compiler).\")\n");
#endif
#ifdef SIGUSR1
printf("(cl:defconstant SIGUSR1 %d \"User defined signal 1.\")\n",SIGUSR1);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGUSR1 (unknown to the C compiler).\")\n");
#endif
#ifdef SIGUSR2
printf("(cl:defconstant SIGUSR2 %d \"User defined signal 2.\")\n",SIGUSR2);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGUSR2 (unknown to the C compiler).\")\n");
#endif
#ifdef SIGRTMIN
printf("(cl:defconstant SIGRTMIN %d \"Smallest real-time signal number.\")\n",SIGRTMIN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGRTMIN (unknown to the C compiler).\")\n");
#endif
#ifdef SIGRTMAX
printf("(cl:defconstant SIGRTMAX %d \"Largest real-time signal number.\")\n",SIGRTMAX);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SIGRTMAX (unknown to the C compiler).\")\n");
#endif
#ifdef EPERM
printf("(cl:defconstant EPERM %d \"NIL\")\n",EPERM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EPERM (unknown to the C compiler).\")\n");
#endif
#ifdef ENOENT
printf("(cl:defconstant ENOENT %d \"NIL\")\n",ENOENT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOENT (unknown to the C compiler).\")\n");
#endif
#ifdef ESRCH
printf("(cl:defconstant ESRCH %d \"NIL\")\n",ESRCH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ESRCH (unknown to the C compiler).\")\n");
#endif
#ifdef EINTR
printf("(cl:defconstant EINTR %d \"NIL\")\n",EINTR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EINTR (unknown to the C compiler).\")\n");
#endif
#ifdef EIO
printf("(cl:defconstant EIO %d \"NIL\")\n",EIO);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EIO (unknown to the C compiler).\")\n");
#endif
#ifdef ENXIO
printf("(cl:defconstant ENXIO %d \"NIL\")\n",ENXIO);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENXIO (unknown to the C compiler).\")\n");
#endif
#ifdef E2BIG
printf("(cl:defconstant E2BIG %d \"NIL\")\n",E2BIG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for E2BIG (unknown to the C compiler).\")\n");
#endif
#ifdef ENOEXEC
printf("(cl:defconstant ENOEXEC %d \"NIL\")\n",ENOEXEC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOEXEC (unknown to the C compiler).\")\n");
#endif
#ifdef EBADF
printf("(cl:defconstant EBADF %d \"NIL\")\n",EBADF);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EBADF (unknown to the C compiler).\")\n");
#endif
#ifdef ECHILD
printf("(cl:defconstant ECHILD %d \"NIL\")\n",ECHILD);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECHILD (unknown to the C compiler).\")\n");
#endif
#ifdef EAGAIN
printf("(cl:defconstant EAGAIN %d \"NIL\")\n",EAGAIN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EAGAIN (unknown to the C compiler).\")\n");
#endif
#ifdef ENOMEM
printf("(cl:defconstant ENOMEM %d \"NIL\")\n",ENOMEM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOMEM (unknown to the C compiler).\")\n");
#endif
#ifdef EACCES
printf("(cl:defconstant EACCES %d \"NIL\")\n",EACCES);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EACCES (unknown to the C compiler).\")\n");
#endif
#ifdef EFAULT
printf("(cl:defconstant EFAULT %d \"NIL\")\n",EFAULT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EFAULT (unknown to the C compiler).\")\n");
#endif
#ifdef ENOTBLK
printf("(cl:defconstant ENOTBLK %d \"NIL\")\n",ENOTBLK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOTBLK (unknown to the C compiler).\")\n");
#endif
#ifdef EBUSY
printf("(cl:defconstant EBUSY %d \"NIL\")\n",EBUSY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EBUSY (unknown to the C compiler).\")\n");
#endif
#ifdef EEXIST
printf("(cl:defconstant EEXIST %d \"NIL\")\n",EEXIST);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EEXIST (unknown to the C compiler).\")\n");
#endif
#ifdef EXDEV
printf("(cl:defconstant EXDEV %d \"NIL\")\n",EXDEV);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EXDEV (unknown to the C compiler).\")\n");
#endif
#ifdef ENODEV
printf("(cl:defconstant ENODEV %d \"NIL\")\n",ENODEV);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENODEV (unknown to the C compiler).\")\n");
#endif
#ifdef ENOTDIR
printf("(cl:defconstant ENOTDIR %d \"NIL\")\n",ENOTDIR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOTDIR (unknown to the C compiler).\")\n");
#endif
#ifdef EISDIR
printf("(cl:defconstant EISDIR %d \"NIL\")\n",EISDIR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EISDIR (unknown to the C compiler).\")\n");
#endif
#ifdef EINVAL
printf("(cl:defconstant EINVAL %d \"NIL\")\n",EINVAL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EINVAL (unknown to the C compiler).\")\n");
#endif
#ifdef ENFILE
printf("(cl:defconstant ENFILE %d \"NIL\")\n",ENFILE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENFILE (unknown to the C compiler).\")\n");
#endif
#ifdef EMFILE
printf("(cl:defconstant EMFILE %d \"NIL\")\n",EMFILE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EMFILE (unknown to the C compiler).\")\n");
#endif
#ifdef ENOTTY
printf("(cl:defconstant ENOTTY %d \"NIL\")\n",ENOTTY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOTTY (unknown to the C compiler).\")\n");
#endif
#ifdef ETXTBSY
printf("(cl:defconstant ETXTBSY %d \"NIL\")\n",ETXTBSY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ETXTBSY (unknown to the C compiler).\")\n");
#endif
#ifdef EFBIG
printf("(cl:defconstant EFBIG %d \"NIL\")\n",EFBIG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EFBIG (unknown to the C compiler).\")\n");
#endif
#ifdef ENOSPC
printf("(cl:defconstant ENOSPC %d \"NIL\")\n",ENOSPC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOSPC (unknown to the C compiler).\")\n");
#endif
#ifdef ESPIPE
printf("(cl:defconstant ESPIPE %d \"NIL\")\n",ESPIPE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ESPIPE (unknown to the C compiler).\")\n");
#endif
#ifdef EROFS
printf("(cl:defconstant EROFS %d \"NIL\")\n",EROFS);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EROFS (unknown to the C compiler).\")\n");
#endif
#ifdef EMLINK
printf("(cl:defconstant EMLINK %d \"NIL\")\n",EMLINK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EMLINK (unknown to the C compiler).\")\n");
#endif
#ifdef EPIPE
printf("(cl:defconstant EPIPE %d \"NIL\")\n",EPIPE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EPIPE (unknown to the C compiler).\")\n");
#endif
#ifdef EDOM
printf("(cl:defconstant EDOM %d \"NIL\")\n",EDOM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EDOM (unknown to the C compiler).\")\n");
#endif
#ifdef ERANGE
printf("(cl:defconstant ERANGE %d \"NIL\")\n",ERANGE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ERANGE (unknown to the C compiler).\")\n");
#endif
#ifdef EDEADLK
printf("(cl:defconstant EDEADLK %d \"NIL\")\n",EDEADLK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EDEADLK (unknown to the C compiler).\")\n");
#endif
#ifdef ENAMETOOLONG
printf("(cl:defconstant ENAMETOOLONG %d \"NIL\")\n",ENAMETOOLONG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENAMETOOLONG (unknown to the C compiler).\")\n");
#endif
#ifdef ENOLCK
printf("(cl:defconstant ENOLCK %d \"NIL\")\n",ENOLCK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOLCK (unknown to the C compiler).\")\n");
#endif
#ifdef ENOSYS
printf("(cl:defconstant ENOSYS %d \"NIL\")\n",ENOSYS);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOSYS (unknown to the C compiler).\")\n");
#endif
#ifdef ENOTEMPTY
printf("(cl:defconstant ENOTEMPTY %d \"NIL\")\n",ENOTEMPTY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOTEMPTY (unknown to the C compiler).\")\n");
#endif
#ifdef ELOOP
printf("(cl:defconstant ELOOP %d \"NIL\")\n",ELOOP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ELOOP (unknown to the C compiler).\")\n");
#endif
#ifdef EWOULDBLOCK
printf("(cl:defconstant EWOULDBLOCK %d \"NIL\")\n",EWOULDBLOCK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EWOULDBLOCK (unknown to the C compiler).\")\n");
#endif
#ifdef ENOMSG
printf("(cl:defconstant ENOMSG %d \"NIL\")\n",ENOMSG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOMSG (unknown to the C compiler).\")\n");
#endif
#ifdef EIDRM
printf("(cl:defconstant EIDRM %d \"NIL\")\n",EIDRM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EIDRM (unknown to the C compiler).\")\n");
#endif
#ifdef ECHRNG
printf("(cl:defconstant ECHRNG %d \"NIL\")\n",ECHRNG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECHRNG (unknown to the C compiler).\")\n");
#endif
#ifdef EL2NSYNC
printf("(cl:defconstant EL2NSYNC %d \"NIL\")\n",EL2NSYNC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EL2NSYNC (unknown to the C compiler).\")\n");
#endif
#ifdef EL3HLT
printf("(cl:defconstant EL3HLT %d \"NIL\")\n",EL3HLT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EL3HLT (unknown to the C compiler).\")\n");
#endif
#ifdef EL3RST
printf("(cl:defconstant EL3RST %d \"NIL\")\n",EL3RST);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EL3RST (unknown to the C compiler).\")\n");
#endif
#ifdef ELNRNG
printf("(cl:defconstant ELNRNG %d \"NIL\")\n",ELNRNG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ELNRNG (unknown to the C compiler).\")\n");
#endif
#ifdef EUNATCH
printf("(cl:defconstant EUNATCH %d \"NIL\")\n",EUNATCH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EUNATCH (unknown to the C compiler).\")\n");
#endif
#ifdef ENOCSI
printf("(cl:defconstant ENOCSI %d \"NIL\")\n",ENOCSI);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOCSI (unknown to the C compiler).\")\n");
#endif
#ifdef EL2HLT
printf("(cl:defconstant EL2HLT %d \"NIL\")\n",EL2HLT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EL2HLT (unknown to the C compiler).\")\n");
#endif
#ifdef EBADE
printf("(cl:defconstant EBADE %d \"NIL\")\n",EBADE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EBADE (unknown to the C compiler).\")\n");
#endif
#ifdef EBADR
printf("(cl:defconstant EBADR %d \"NIL\")\n",EBADR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EBADR (unknown to the C compiler).\")\n");
#endif
#ifdef EXFULL
printf("(cl:defconstant EXFULL %d \"NIL\")\n",EXFULL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EXFULL (unknown to the C compiler).\")\n");
#endif
#ifdef ENOANO
printf("(cl:defconstant ENOANO %d \"NIL\")\n",ENOANO);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOANO (unknown to the C compiler).\")\n");
#endif
#ifdef EBADRQC
printf("(cl:defconstant EBADRQC %d \"NIL\")\n",EBADRQC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EBADRQC (unknown to the C compiler).\")\n");
#endif
#ifdef EBADSLT
printf("(cl:defconstant EBADSLT %d \"NIL\")\n",EBADSLT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EBADSLT (unknown to the C compiler).\")\n");
#endif
#ifdef EDEADLOCK
printf("(cl:defconstant EDEADLOCK %d \"NIL\")\n",EDEADLOCK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EDEADLOCK (unknown to the C compiler).\")\n");
#endif
#ifdef EBFONT
printf("(cl:defconstant EBFONT %d \"NIL\")\n",EBFONT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EBFONT (unknown to the C compiler).\")\n");
#endif
#ifdef ENOSTR
printf("(cl:defconstant ENOSTR %d \"NIL\")\n",ENOSTR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOSTR (unknown to the C compiler).\")\n");
#endif
#ifdef ENODATA
printf("(cl:defconstant ENODATA %d \"NIL\")\n",ENODATA);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENODATA (unknown to the C compiler).\")\n");
#endif
#ifdef ETIME
printf("(cl:defconstant ETIME %d \"NIL\")\n",ETIME);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ETIME (unknown to the C compiler).\")\n");
#endif
#ifdef ENOSR
printf("(cl:defconstant ENOSR %d \"NIL\")\n",ENOSR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOSR (unknown to the C compiler).\")\n");
#endif
#ifdef ENONET
printf("(cl:defconstant ENONET %d \"NIL\")\n",ENONET);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENONET (unknown to the C compiler).\")\n");
#endif
#ifdef ENOPKG
printf("(cl:defconstant ENOPKG %d \"NIL\")\n",ENOPKG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOPKG (unknown to the C compiler).\")\n");
#endif
#ifdef EREMOTE
printf("(cl:defconstant EREMOTE %d \"NIL\")\n",EREMOTE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EREMOTE (unknown to the C compiler).\")\n");
#endif
#ifdef ENOLINK
printf("(cl:defconstant ENOLINK %d \"NIL\")\n",ENOLINK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOLINK (unknown to the C compiler).\")\n");
#endif
#ifdef EADV
printf("(cl:defconstant EADV %d \"NIL\")\n",EADV);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EADV (unknown to the C compiler).\")\n");
#endif
#ifdef ESRMNT
printf("(cl:defconstant ESRMNT %d \"NIL\")\n",ESRMNT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ESRMNT (unknown to the C compiler).\")\n");
#endif
#ifdef ECOMM
printf("(cl:defconstant ECOMM %d \"NIL\")\n",ECOMM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECOMM (unknown to the C compiler).\")\n");
#endif
#ifdef EPROTO
printf("(cl:defconstant EPROTO %d \"NIL\")\n",EPROTO);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EPROTO (unknown to the C compiler).\")\n");
#endif
#ifdef EMULTIHOP
printf("(cl:defconstant EMULTIHOP %d \"NIL\")\n",EMULTIHOP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EMULTIHOP (unknown to the C compiler).\")\n");
#endif
#ifdef EDOTDOT
printf("(cl:defconstant EDOTDOT %d \"NIL\")\n",EDOTDOT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EDOTDOT (unknown to the C compiler).\")\n");
#endif
#ifdef EBADMSG
printf("(cl:defconstant EBADMSG %d \"NIL\")\n",EBADMSG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EBADMSG (unknown to the C compiler).\")\n");
#endif
#ifdef EOVERFLOW
printf("(cl:defconstant EOVERFLOW %d \"NIL\")\n",EOVERFLOW);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EOVERFLOW (unknown to the C compiler).\")\n");
#endif
#ifdef ENOTUNIQ
printf("(cl:defconstant ENOTUNIQ %d \"NIL\")\n",ENOTUNIQ);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOTUNIQ (unknown to the C compiler).\")\n");
#endif
#ifdef EBADFD
printf("(cl:defconstant EBADFD %d \"NIL\")\n",EBADFD);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EBADFD (unknown to the C compiler).\")\n");
#endif
#ifdef EREMCHG
printf("(cl:defconstant EREMCHG %d \"NIL\")\n",EREMCHG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EREMCHG (unknown to the C compiler).\")\n");
#endif
#ifdef ELIBACC
printf("(cl:defconstant ELIBACC %d \"NIL\")\n",ELIBACC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ELIBACC (unknown to the C compiler).\")\n");
#endif
#ifdef ELIBBAD
printf("(cl:defconstant ELIBBAD %d \"NIL\")\n",ELIBBAD);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ELIBBAD (unknown to the C compiler).\")\n");
#endif
#ifdef ELIBSCN
printf("(cl:defconstant ELIBSCN %d \"NIL\")\n",ELIBSCN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ELIBSCN (unknown to the C compiler).\")\n");
#endif
#ifdef ELIBMAX
printf("(cl:defconstant ELIBMAX %d \"NIL\")\n",ELIBMAX);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ELIBMAX (unknown to the C compiler).\")\n");
#endif
#ifdef ELIBEXEC
printf("(cl:defconstant ELIBEXEC %d \"NIL\")\n",ELIBEXEC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ELIBEXEC (unknown to the C compiler).\")\n");
#endif
#ifdef EILSEQ
printf("(cl:defconstant EILSEQ %d \"NIL\")\n",EILSEQ);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EILSEQ (unknown to the C compiler).\")\n");
#endif
#ifdef ERESTART
printf("(cl:defconstant ERESTART %d \"NIL\")\n",ERESTART);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ERESTART (unknown to the C compiler).\")\n");
#endif
#ifdef ESTRPIPE
printf("(cl:defconstant ESTRPIPE %d \"NIL\")\n",ESTRPIPE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ESTRPIPE (unknown to the C compiler).\")\n");
#endif
#ifdef EUSERS
printf("(cl:defconstant EUSERS %d \"NIL\")\n",EUSERS);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EUSERS (unknown to the C compiler).\")\n");
#endif
#ifdef ENOTSOCK
printf("(cl:defconstant ENOTSOCK %d \"NIL\")\n",ENOTSOCK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOTSOCK (unknown to the C compiler).\")\n");
#endif
#ifdef EDESTADDRREQ
printf("(cl:defconstant EDESTADDRREQ %d \"NIL\")\n",EDESTADDRREQ);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EDESTADDRREQ (unknown to the C compiler).\")\n");
#endif
#ifdef EMSGSIZE
printf("(cl:defconstant EMSGSIZE %d \"NIL\")\n",EMSGSIZE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EMSGSIZE (unknown to the C compiler).\")\n");
#endif
#ifdef EPROTOTYPE
printf("(cl:defconstant EPROTOTYPE %d \"NIL\")\n",EPROTOTYPE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EPROTOTYPE (unknown to the C compiler).\")\n");
#endif
#ifdef ENOPROTOOPT
printf("(cl:defconstant ENOPROTOOPT %d \"NIL\")\n",ENOPROTOOPT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOPROTOOPT (unknown to the C compiler).\")\n");
#endif
#ifdef EPROTONOSUPPORT
printf("(cl:defconstant EPROTONOSUPPORT %d \"NIL\")\n",EPROTONOSUPPORT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EPROTONOSUPPORT (unknown to the C compiler).\")\n");
#endif
#ifdef ESOCKTNOSUPPORT
printf("(cl:defconstant ESOCKTNOSUPPORT %d \"NIL\")\n",ESOCKTNOSUPPORT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ESOCKTNOSUPPORT (unknown to the C compiler).\")\n");
#endif
#ifdef EOPNOTSUPP
printf("(cl:defconstant EOPNOTSUPP %d \"NIL\")\n",EOPNOTSUPP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EOPNOTSUPP (unknown to the C compiler).\")\n");
#endif
#ifdef EPFNOSUPPORT
printf("(cl:defconstant EPFNOSUPPORT %d \"NIL\")\n",EPFNOSUPPORT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EPFNOSUPPORT (unknown to the C compiler).\")\n");
#endif
#ifdef EAFNOSUPPORT
printf("(cl:defconstant EAFNOSUPPORT %d \"NIL\")\n",EAFNOSUPPORT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EAFNOSUPPORT (unknown to the C compiler).\")\n");
#endif
#ifdef EADDRINUSE
printf("(cl:defconstant EADDRINUSE %d \"NIL\")\n",EADDRINUSE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EADDRINUSE (unknown to the C compiler).\")\n");
#endif
#ifdef EADDRNOTAVAIL
printf("(cl:defconstant EADDRNOTAVAIL %d \"NIL\")\n",EADDRNOTAVAIL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EADDRNOTAVAIL (unknown to the C compiler).\")\n");
#endif
#ifdef ENETDOWN
printf("(cl:defconstant ENETDOWN %d \"NIL\")\n",ENETDOWN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENETDOWN (unknown to the C compiler).\")\n");
#endif
#ifdef ENETUNREACH
printf("(cl:defconstant ENETUNREACH %d \"NIL\")\n",ENETUNREACH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENETUNREACH (unknown to the C compiler).\")\n");
#endif
#ifdef ENETRESET
printf("(cl:defconstant ENETRESET %d \"NIL\")\n",ENETRESET);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENETRESET (unknown to the C compiler).\")\n");
#endif
#ifdef ECONNABORTED
printf("(cl:defconstant ECONNABORTED %d \"NIL\")\n",ECONNABORTED);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECONNABORTED (unknown to the C compiler).\")\n");
#endif
#ifdef ECONNRESET
printf("(cl:defconstant ECONNRESET %d \"NIL\")\n",ECONNRESET);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECONNRESET (unknown to the C compiler).\")\n");
#endif
#ifdef ENOBUFS
printf("(cl:defconstant ENOBUFS %d \"NIL\")\n",ENOBUFS);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOBUFS (unknown to the C compiler).\")\n");
#endif
#ifdef EISCONN
printf("(cl:defconstant EISCONN %d \"NIL\")\n",EISCONN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EISCONN (unknown to the C compiler).\")\n");
#endif
#ifdef ENOTCONN
printf("(cl:defconstant ENOTCONN %d \"NIL\")\n",ENOTCONN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOTCONN (unknown to the C compiler).\")\n");
#endif
#ifdef ESHUTDOWN
printf("(cl:defconstant ESHUTDOWN %d \"NIL\")\n",ESHUTDOWN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ESHUTDOWN (unknown to the C compiler).\")\n");
#endif
#ifdef ETOOMANYREFS
printf("(cl:defconstant ETOOMANYREFS %d \"NIL\")\n",ETOOMANYREFS);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ETOOMANYREFS (unknown to the C compiler).\")\n");
#endif
#ifdef ETIMEDOUT
printf("(cl:defconstant ETIMEDOUT %d \"NIL\")\n",ETIMEDOUT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ETIMEDOUT (unknown to the C compiler).\")\n");
#endif
#ifdef ECONNREFUSED
printf("(cl:defconstant ECONNREFUSED %d \"NIL\")\n",ECONNREFUSED);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECONNREFUSED (unknown to the C compiler).\")\n");
#endif
#ifdef EHOSTDOWN
printf("(cl:defconstant EHOSTDOWN %d \"NIL\")\n",EHOSTDOWN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EHOSTDOWN (unknown to the C compiler).\")\n");
#endif
#ifdef EHOSTUNREACH
printf("(cl:defconstant EHOSTUNREACH %d \"NIL\")\n",EHOSTUNREACH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EHOSTUNREACH (unknown to the C compiler).\")\n");
#endif
#ifdef EALREADY
printf("(cl:defconstant EALREADY %d \"NIL\")\n",EALREADY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EALREADY (unknown to the C compiler).\")\n");
#endif
#ifdef EINPROGRESS
printf("(cl:defconstant EINPROGRESS %d \"NIL\")\n",EINPROGRESS);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EINPROGRESS (unknown to the C compiler).\")\n");
#endif
#ifdef ESTALE
printf("(cl:defconstant ESTALE %d \"NIL\")\n",ESTALE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ESTALE (unknown to the C compiler).\")\n");
#endif
#ifdef EUCLEAN
printf("(cl:defconstant EUCLEAN %d \"NIL\")\n",EUCLEAN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EUCLEAN (unknown to the C compiler).\")\n");
#endif
#ifdef ENOTNAM
printf("(cl:defconstant ENOTNAM %d \"NIL\")\n",ENOTNAM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOTNAM (unknown to the C compiler).\")\n");
#endif
#ifdef ENAVAIL
printf("(cl:defconstant ENAVAIL %d \"NIL\")\n",ENAVAIL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENAVAIL (unknown to the C compiler).\")\n");
#endif
#ifdef EREMOTEIO
printf("(cl:defconstant EREMOTEIO %d \"NIL\")\n",EREMOTEIO);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EREMOTEIO (unknown to the C compiler).\")\n");
#endif
#ifdef EDQUOT
printf("(cl:defconstant EDQUOT %d \"NIL\")\n",EDQUOT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EDQUOT (unknown to the C compiler).\")\n");
#endif
#ifdef ENOMEDIUM
printf("(cl:defconstant ENOMEDIUM %d \"NIL\")\n",ENOMEDIUM);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ENOMEDIUM (unknown to the C compiler).\")\n");
#endif
#ifdef EMEDIUMTYPE
printf("(cl:defconstant EMEDIUMTYPE %d \"NIL\")\n",EMEDIUMTYPE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for EMEDIUMTYPE (unknown to the C compiler).\")\n");
#endif
printf("(sb-alien:define-alien-type MODE-T (sb-alien:%ssigned %d))\n",SIGNED_(mode_t),8*(sizeof(mode_t)));
#ifdef S_ISUID
printf("(cl:defconstant S-ISUID %d \"NIL\")\n",S_ISUID);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_ISUID (unknown to the C compiler).\")\n");
#endif
#ifdef S_ISGID
printf("(cl:defconstant S-ISGID %d \"NIL\")\n",S_ISGID);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_ISGID (unknown to the C compiler).\")\n");
#endif
#ifdef S_ISVTX
printf("(cl:defconstant S-ISVTX %d \"NIL\")\n",S_ISVTX);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_ISVTX (unknown to the C compiler).\")\n");
#endif
#ifdef S_IRUSR
printf("(cl:defconstant S-IRUSR %d \"NIL\")\n",S_IRUSR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IRUSR (unknown to the C compiler).\")\n");
#endif
#ifdef S_IWUSR
printf("(cl:defconstant S-IWUSR %d \"NIL\")\n",S_IWUSR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IWUSR (unknown to the C compiler).\")\n");
#endif
#ifdef S_IXUSR
printf("(cl:defconstant S-IXUSR %d \"NIL\")\n",S_IXUSR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IXUSR (unknown to the C compiler).\")\n");
#endif
#ifdef S_IRUSR
printf("(cl:defconstant S-IREAD %d \"NIL\")\n",S_IRUSR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IRUSR (unknown to the C compiler).\")\n");
#endif
#ifdef S_IWUSR
printf("(cl:defconstant S-IWRITE %d \"NIL\")\n",S_IWUSR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IWUSR (unknown to the C compiler).\")\n");
#endif
#ifdef S_IXUSR
printf("(cl:defconstant S-IEXEC %d \"NIL\")\n",S_IXUSR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IXUSR (unknown to the C compiler).\")\n");
#endif
#ifdef S_IRGRP
printf("(cl:defconstant S-IRGRP %d \"NIL\")\n",S_IRGRP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IRGRP (unknown to the C compiler).\")\n");
#endif
#ifdef S_IWGRP
printf("(cl:defconstant S-IWGRP %d \"NIL\")\n",S_IWGRP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IWGRP (unknown to the C compiler).\")\n");
#endif
#ifdef S_IXGRP
printf("(cl:defconstant S-IXGRP %d \"NIL\")\n",S_IXGRP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IXGRP (unknown to the C compiler).\")\n");
#endif
#ifdef S_IROTH
printf("(cl:defconstant S-IROTH %d \"NIL\")\n",S_IROTH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IROTH (unknown to the C compiler).\")\n");
#endif
#ifdef S_IWOTH
printf("(cl:defconstant S-IWOTH %d \"NIL\")\n",S_IWOTH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IWOTH (unknown to the C compiler).\")\n");
#endif
#ifdef S_IXOTH
printf("(cl:defconstant S-IXOTH %d \"NIL\")\n",S_IXOTH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for S_IXOTH (unknown to the C compiler).\")\n");
#endif
#ifdef R_OK
printf("(cl:defconstant R-OK %d \"NIL\")\n",R_OK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for R_OK (unknown to the C compiler).\")\n");
#endif
#ifdef W_OK
printf("(cl:defconstant W-OK %d \"NIL\")\n",W_OK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for W_OK (unknown to the C compiler).\")\n");
#endif
#ifdef X_OK
printf("(cl:defconstant X-OK %d \"NIL\")\n",X_OK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for X_OK (unknown to the C compiler).\")\n");
#endif
#ifdef F_OK
printf("(cl:defconstant F-OK %d \"NIL\")\n",F_OK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_OK (unknown to the C compiler).\")\n");
#endif
printf("(sb-alien:define-alien-type OFF-T (sb-alien:%ssigned %d))\n",SIGNED_(off_t),8*(sizeof(off_t)));
#ifdef PROT_NONE
printf("(cl:defconstant PROT-NONE %d \"mmap: no protection\")\n",PROT_NONE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for PROT_NONE (unknown to the C compiler).\")\n");
#endif
#ifdef PROT_READ
printf("(cl:defconstant PROT-READ %d \"mmap: read protection\")\n",PROT_READ);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for PROT_READ (unknown to the C compiler).\")\n");
#endif
#ifdef PROT_WRITE
printf("(cl:defconstant PROT-WRITE %d \"mmap: write protection\")\n",PROT_WRITE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for PROT_WRITE (unknown to the C compiler).\")\n");
#endif
#ifdef PROT_EXEC
printf("(cl:defconstant PROT-EXEC %d \"mmap: execute protection\")\n",PROT_EXEC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for PROT_EXEC (unknown to the C compiler).\")\n");
#endif
#ifdef MAP_SHARED
printf("(cl:defconstant MAP-SHARED %d \"mmap: shared memory\")\n",MAP_SHARED);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for MAP_SHARED (unknown to the C compiler).\")\n");
#endif
#ifdef MAP_PRIVATE
printf("(cl:defconstant MAP-PRIVATE %d \"mmap: private mapping\")\n",MAP_PRIVATE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for MAP_PRIVATE (unknown to the C compiler).\")\n");
#endif
#ifdef MAP_FIXED
printf("(cl:defconstant MAP-FIXED %d \"mmap: map at given location\")\n",MAP_FIXED);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for MAP_FIXED (unknown to the C compiler).\")\n");
#endif
#ifdef MS_ASYNC
printf("(cl:defconstant MS-ASYNC %d \"msync: return immediately\")\n",MS_ASYNC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for MS_ASYNC (unknown to the C compiler).\")\n");
#endif
#ifdef MS_SYNC
printf("(cl:defconstant MS-SYNC %d \"msync: perform synchronous writes\")\n",MS_SYNC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for MS_SYNC (unknown to the C compiler).\")\n");
#endif
#ifdef MS_INVALIDATE
printf("(cl:defconstant MS-INVALIDATE %d \"msync: invalidate all cached data\")\n",MS_INVALIDATE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for MS_INVALIDATE (unknown to the C compiler).\")\n");
#endif
printf("(sb-grovel::define-c-struct DIRENT %d)\n",sizeof (struct dirent));
printf("(sb-grovel::define-c-accessor DIRENT-NAME\n\
  DIRENT C-STRING ");
{ struct dirent t;printf("%d ",((unsigned long)&(t.d_name)) - ((unsigned long)&(t)) ); }
{ struct dirent t;printf("%d",(sizeof t.d_name));}
printf(")\n");
printf("(sb-grovel::define-c-struct STAT %d)\n",sizeof (struct stat));
printf("(sb-grovel::define-c-accessor STAT-MODE\n\
  STAT MODE-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_mode)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_mode));}
printf(")\n");
printf("(sb-grovel::define-c-accessor STAT-INO\n\
  STAT INO-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_ino)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_ino));}
printf(")\n");
printf("(sb-grovel::define-c-accessor STAT-DEV\n\
  STAT DEV-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_dev)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_dev));}
printf(")\n");
printf("(sb-grovel::define-c-accessor STAT-NLINK\n\
  STAT NLINK-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_nlink)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_nlink));}
printf(")\n");
printf("(sb-grovel::define-c-accessor STAT-UID\n\
  STAT UID-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_uid)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_uid));}
printf(")\n");
printf("(sb-grovel::define-c-accessor STAT-GID\n\
  STAT GID-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_gid)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_gid));}
printf(")\n");
printf("(sb-grovel::define-c-accessor STAT-SIZE\n\
  STAT OFF-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_size)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_size));}
printf(")\n");
printf("(sb-grovel::define-c-accessor STAT-ATIME\n\
  STAT TIME-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_atime)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_atime));}
printf(")\n");
printf("(sb-grovel::define-c-accessor STAT-MTIME\n\
  STAT TIME-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_mtime)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_mtime));}
printf(")\n");
printf("(sb-grovel::define-c-accessor STAT-CTIME\n\
  STAT TIME-T ");
{ struct stat t;printf("%d ",((unsigned long)&(t.st_ctime)) - ((unsigned long)&(t)) ); }
{ struct stat t;printf("%d",(sizeof t.st_ctime));}
printf(")\n");
#ifdef O_RDONLY
printf("(cl:defconstant O-RDONLY %d \"NIL\")\n",O_RDONLY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_RDONLY (unknown to the C compiler).\")\n");
#endif
#ifdef O_WRONLY
printf("(cl:defconstant O-WRONLY %d \"NIL\")\n",O_WRONLY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_WRONLY (unknown to the C compiler).\")\n");
#endif
#ifdef O_RDWR
printf("(cl:defconstant O-RDWR %d \"NIL\")\n",O_RDWR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_RDWR (unknown to the C compiler).\")\n");
#endif
#ifdef O_CREAT
printf("(cl:defconstant O-CREAT %d \"NIL\")\n",O_CREAT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_CREAT (unknown to the C compiler).\")\n");
#endif
#ifdef O_EXCL
printf("(cl:defconstant O-EXCL %d \"NIL\")\n",O_EXCL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_EXCL (unknown to the C compiler).\")\n");
#endif
#ifdef O_NOCTTY
printf("(cl:defconstant O-NOCTTY %d \"NIL\")\n",O_NOCTTY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_NOCTTY (unknown to the C compiler).\")\n");
#endif
#ifdef O_TRUNC
printf("(cl:defconstant O-TRUNC %d \"NIL\")\n",O_TRUNC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_TRUNC (unknown to the C compiler).\")\n");
#endif
#ifdef O_APPEND
printf("(cl:defconstant O-APPEND %d \"NIL\")\n",O_APPEND);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_APPEND (unknown to the C compiler).\")\n");
#endif
#ifdef O_NONBLOCK
printf("(cl:defconstant O-NONBLOCK %d \"NIL\")\n",O_NONBLOCK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_NONBLOCK (unknown to the C compiler).\")\n");
#endif
#ifdef O_NDELAY
printf("(cl:defconstant O-NDELAY %d \"NIL\")\n",O_NDELAY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_NDELAY (unknown to the C compiler).\")\n");
#endif
#ifdef O_SYNC
printf("(cl:defconstant O-SYNC %d \"NIL\")\n",O_SYNC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_SYNC (unknown to the C compiler).\")\n");
#endif
#ifdef O_NOFOLLOW
printf("(cl:defconstant O-NOFOLLOW %d \"NIL\")\n",O_NOFOLLOW);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_NOFOLLOW (unknown to the C compiler).\")\n");
#endif
#ifdef O_DIRECTORY
printf("(cl:defconstant O-DIRECTORY %d \"NIL\")\n",O_DIRECTORY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_DIRECTORY (unknown to the C compiler).\")\n");
#endif
#ifdef O_DIRECT
printf("(cl:defconstant O-DIRECT %d \"NIL\")\n",O_DIRECT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_DIRECT (unknown to the C compiler).\")\n");
#endif
#ifdef O_ASYNC
printf("(cl:defconstant O-ASYNC %d \"NIL\")\n",O_ASYNC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_ASYNC (unknown to the C compiler).\")\n");
#endif
#ifdef O_LARGEFILE
printf("(cl:defconstant O-LARGEFILE %d \"NIL\")\n",O_LARGEFILE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_LARGEFILE (unknown to the C compiler).\")\n");
#endif
#ifdef O_DSYNC
printf("(cl:defconstant O-DSYNC %d \"NIL\")\n",O_DSYNC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_DSYNC (unknown to the C compiler).\")\n");
#endif
#ifdef O_RSYNC
printf("(cl:defconstant O-RSYNC %d \"NIL\")\n",O_RSYNC);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for O_RSYNC (unknown to the C compiler).\")\n");
#endif
#ifdef SEEK_SET
printf("(cl:defconstant SEEK-SET %d \"NIL\")\n",SEEK_SET);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SEEK_SET (unknown to the C compiler).\")\n");
#endif
#ifdef SEEK_CUR
printf("(cl:defconstant SEEK-CUR %d \"NIL\")\n",SEEK_CUR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SEEK_CUR (unknown to the C compiler).\")\n");
#endif
#ifdef SEEK_END
printf("(cl:defconstant SEEK-END %d \"NIL\")\n",SEEK_END);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for SEEK_END (unknown to the C compiler).\")\n");
#endif
#ifdef F_DUPFD
printf("(cl:defconstant F-DUPFD %d \"NIL\")\n",F_DUPFD);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_DUPFD (unknown to the C compiler).\")\n");
#endif
#ifdef F_GETFD
printf("(cl:defconstant F-GETFD %d \"NIL\")\n",F_GETFD);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_GETFD (unknown to the C compiler).\")\n");
#endif
#ifdef F_SETFD
printf("(cl:defconstant F-SETFD %d \"NIL\")\n",F_SETFD);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_SETFD (unknown to the C compiler).\")\n");
#endif
#ifdef F_GETFL
printf("(cl:defconstant F-GETFL %d \"NIL\")\n",F_GETFL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_GETFL (unknown to the C compiler).\")\n");
#endif
#ifdef F_SETFL
printf("(cl:defconstant F-SETFL %d \"NIL\")\n",F_SETFL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_SETFL (unknown to the C compiler).\")\n");
#endif
#ifdef F_GETLK
printf("(cl:defconstant F-GETLK %d \"NIL\")\n",F_GETLK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_GETLK (unknown to the C compiler).\")\n");
#endif
#ifdef F_SETLK
printf("(cl:defconstant F-SETLK %d \"NIL\")\n",F_SETLK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_SETLK (unknown to the C compiler).\")\n");
#endif
#ifdef F_SETLKW
printf("(cl:defconstant F-SETLKW %d \"NIL\")\n",F_SETLKW);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_SETLKW (unknown to the C compiler).\")\n");
#endif
#ifdef F_GETOWN
printf("(cl:defconstant F-GETOWN %d \"NIL\")\n",F_GETOWN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_GETOWN (unknown to the C compiler).\")\n");
#endif
#ifdef F_SETOWN
printf("(cl:defconstant F-SETOWN %d \"NIL\")\n",F_SETOWN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for F_SETOWN (unknown to the C compiler).\")\n");
#endif
printf("(sb-alien:define-alien-type CC-T (sb-alien:%ssigned %d))\n",SIGNED_(cc_t),8*(sizeof(cc_t)));
printf("(sb-alien:define-alien-type SPEED-T (sb-alien:%ssigned %d))\n",SIGNED_(speed_t),8*(sizeof(speed_t)));
printf("(sb-alien:define-alien-type TCFLAG-T (sb-alien:%ssigned %d))\n",SIGNED_(tcflag_t),8*(sizeof(tcflag_t)));
#ifdef NCCS
printf("(cl:defconstant NCCS %d \"NIL\")\n",NCCS);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for NCCS (unknown to the C compiler).\")\n");
#endif
printf("(sb-grovel::define-c-struct TERMIOS %d)\n",sizeof (struct termios));
printf("(sb-grovel::define-c-accessor TERMIOS-IFLAG\n\
  TERMIOS TCFLAG-T ");
{ struct termios t;printf("%d ",((unsigned long)&(t.c_iflag)) - ((unsigned long)&(t)) ); }
{ struct termios t;printf("%d",(sizeof t.c_iflag));}
printf(")\n");
printf("(sb-grovel::define-c-accessor TERMIOS-OFLAG\n\
  TERMIOS TCFLAG-T ");
{ struct termios t;printf("%d ",((unsigned long)&(t.c_oflag)) - ((unsigned long)&(t)) ); }
{ struct termios t;printf("%d",(sizeof t.c_oflag));}
printf(")\n");
printf("(sb-grovel::define-c-accessor TERMIOS-CFLAG\n\
  TERMIOS TCFLAG-T ");
{ struct termios t;printf("%d ",((unsigned long)&(t.c_cflag)) - ((unsigned long)&(t)) ); }
{ struct termios t;printf("%d",(sizeof t.c_cflag));}
printf(")\n");
printf("(sb-grovel::define-c-accessor TERMIOS-LFLAG\n\
  TERMIOS TCFLAG-T ");
{ struct termios t;printf("%d ",((unsigned long)&(t.c_lflag)) - ((unsigned long)&(t)) ); }
{ struct termios t;printf("%d",(sizeof t.c_lflag));}
printf(")\n");
printf("(sb-grovel::define-c-accessor TERMIOS-CC\n\
  TERMIOS (ARRAY (UNSIGNED 8)) ");
{ struct termios t;printf("%d ",((unsigned long)&(t.c_cc)) - ((unsigned long)&(t)) ); }
{ struct termios t;printf("%d",(sizeof t.c_cc));}
printf(")\n");
#ifdef VEOF
printf("(cl:defconstant VEOF %d \"NIL\")\n",VEOF);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VEOF (unknown to the C compiler).\")\n");
#endif
#ifdef VEOL
printf("(cl:defconstant VEOL %d \"NIL\")\n",VEOL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VEOL (unknown to the C compiler).\")\n");
#endif
#ifdef VERASE
printf("(cl:defconstant VERASE %d \"NIL\")\n",VERASE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VERASE (unknown to the C compiler).\")\n");
#endif
#ifdef VINTR
printf("(cl:defconstant VINTR %d \"NIL\")\n",VINTR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VINTR (unknown to the C compiler).\")\n");
#endif
#ifdef VKILL
printf("(cl:defconstant VKILL %d \"NIL\")\n",VKILL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VKILL (unknown to the C compiler).\")\n");
#endif
#ifdef VMIN
printf("(cl:defconstant VMIN %d \"NIL\")\n",VMIN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VMIN (unknown to the C compiler).\")\n");
#endif
#ifdef VQUIT
printf("(cl:defconstant VQUIT %d \"NIL\")\n",VQUIT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VQUIT (unknown to the C compiler).\")\n");
#endif
#ifdef VSTART
printf("(cl:defconstant VSTART %d \"NIL\")\n",VSTART);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VSTART (unknown to the C compiler).\")\n");
#endif
#ifdef VSTOP
printf("(cl:defconstant VSTOP %d \"NIL\")\n",VSTOP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VSTOP (unknown to the C compiler).\")\n");
#endif
#ifdef VSUSP
printf("(cl:defconstant VSUSP %d \"NIL\")\n",VSUSP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VSUSP (unknown to the C compiler).\")\n");
#endif
#ifdef VTIME
printf("(cl:defconstant VTIME %d \"NIL\")\n",VTIME);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VTIME (unknown to the C compiler).\")\n");
#endif
#ifdef BRKINT
printf("(cl:defconstant BRKINT %d \"NIL\")\n",BRKINT);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for BRKINT (unknown to the C compiler).\")\n");
#endif
#ifdef ICRNL
printf("(cl:defconstant ICRNL %d \"NIL\")\n",ICRNL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ICRNL (unknown to the C compiler).\")\n");
#endif
#ifdef IGNBRK
printf("(cl:defconstant IGNBRK %d \"NIL\")\n",IGNBRK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for IGNBRK (unknown to the C compiler).\")\n");
#endif
#ifdef IGNCR
printf("(cl:defconstant IGNCR %d \"NIL\")\n",IGNCR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for IGNCR (unknown to the C compiler).\")\n");
#endif
#ifdef IGNPAR
printf("(cl:defconstant IGNPAR %d \"NIL\")\n",IGNPAR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for IGNPAR (unknown to the C compiler).\")\n");
#endif
#ifdef INLCR
printf("(cl:defconstant INLCR %d \"NIL\")\n",INLCR);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for INLCR (unknown to the C compiler).\")\n");
#endif
#ifdef INPCK
printf("(cl:defconstant INPCK %d \"NIL\")\n",INPCK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for INPCK (unknown to the C compiler).\")\n");
#endif
#ifdef ISTRIP
printf("(cl:defconstant ISTRIP %d \"NIL\")\n",ISTRIP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ISTRIP (unknown to the C compiler).\")\n");
#endif
#ifdef IXOFF
printf("(cl:defconstant IXOFF %d \"NIL\")\n",IXOFF);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for IXOFF (unknown to the C compiler).\")\n");
#endif
#ifdef IXON
printf("(cl:defconstant IXON %d \"NIL\")\n",IXON);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for IXON (unknown to the C compiler).\")\n");
#endif
#ifdef PARMRK
printf("(cl:defconstant PARMRK %d \"NIL\")\n",PARMRK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for PARMRK (unknown to the C compiler).\")\n");
#endif
#ifdef OPOST
printf("(cl:defconstant OPOST %d \"NIL\")\n",OPOST);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for OPOST (unknown to the C compiler).\")\n");
#endif
#ifdef OCRNL
printf("(cl:defconstant OCRNL %d \"NIL\")\n",OCRNL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for OCRNL (unknown to the C compiler).\")\n");
#endif
#ifdef ONLRET
printf("(cl:defconstant ONLRET %d \"NIL\")\n",ONLRET);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ONLRET (unknown to the C compiler).\")\n");
#endif
#ifdef OFILL
printf("(cl:defconstant OFILL %d \"NIL\")\n",OFILL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for OFILL (unknown to the C compiler).\")\n");
#endif
#ifdef NLDLY
printf("(cl:defconstant NLDLY %d \"NIL\")\n",NLDLY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for NLDLY (unknown to the C compiler).\")\n");
#endif
#ifdef NL0
printf("(cl:defconstant NL0 %d \"NIL\")\n",NL0);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for NL0 (unknown to the C compiler).\")\n");
#endif
#ifdef NL1
printf("(cl:defconstant NL1 %d \"NIL\")\n",NL1);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for NL1 (unknown to the C compiler).\")\n");
#endif
#ifdef CRDLY
printf("(cl:defconstant CRDLY %d \"NIL\")\n",CRDLY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CRDLY (unknown to the C compiler).\")\n");
#endif
#ifdef CR0
printf("(cl:defconstant CR0 %d \"NIL\")\n",CR0);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CR0 (unknown to the C compiler).\")\n");
#endif
#ifdef CR1
printf("(cl:defconstant CR1 %d \"NIL\")\n",CR1);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CR1 (unknown to the C compiler).\")\n");
#endif
#ifdef CR2
printf("(cl:defconstant CR2 %d \"NIL\")\n",CR2);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CR2 (unknown to the C compiler).\")\n");
#endif
#ifdef CR3
printf("(cl:defconstant CR3 %d \"NIL\")\n",CR3);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CR3 (unknown to the C compiler).\")\n");
#endif
#ifdef TABDLY
printf("(cl:defconstant TABDLY %d \"NIL\")\n",TABDLY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TABDLY (unknown to the C compiler).\")\n");
#endif
#ifdef TAB0
printf("(cl:defconstant TAB0 %d \"NIL\")\n",TAB0);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TAB0 (unknown to the C compiler).\")\n");
#endif
#ifdef TAB1
printf("(cl:defconstant TAB1 %d \"NIL\")\n",TAB1);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TAB1 (unknown to the C compiler).\")\n");
#endif
#ifdef TAB2
printf("(cl:defconstant TAB2 %d \"NIL\")\n",TAB2);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TAB2 (unknown to the C compiler).\")\n");
#endif
#ifdef TAB3
printf("(cl:defconstant TAB3 %d \"NIL\")\n",TAB3);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TAB3 (unknown to the C compiler).\")\n");
#endif
#ifdef BSDLY
printf("(cl:defconstant BSDLY %d \"NIL\")\n",BSDLY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for BSDLY (unknown to the C compiler).\")\n");
#endif
#ifdef BS0
printf("(cl:defconstant BS0 %d \"NIL\")\n",BS0);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for BS0 (unknown to the C compiler).\")\n");
#endif
#ifdef BS1
printf("(cl:defconstant BS1 %d \"NIL\")\n",BS1);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for BS1 (unknown to the C compiler).\")\n");
#endif
#ifdef VTDLY
printf("(cl:defconstant VTDLY %d \"NIL\")\n",VTDLY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VTDLY (unknown to the C compiler).\")\n");
#endif
#ifdef VT0
printf("(cl:defconstant VT0 %d \"NIL\")\n",VT0);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VT0 (unknown to the C compiler).\")\n");
#endif
#ifdef VT1
printf("(cl:defconstant VT1 %d \"NIL\")\n",VT1);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for VT1 (unknown to the C compiler).\")\n");
#endif
#ifdef FFDLY
printf("(cl:defconstant FFDLY %d \"NIL\")\n",FFDLY);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for FFDLY (unknown to the C compiler).\")\n");
#endif
#ifdef FF0
printf("(cl:defconstant FF0 %d \"NIL\")\n",FF0);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for FF0 (unknown to the C compiler).\")\n");
#endif
#ifdef FF1
printf("(cl:defconstant FF1 %d \"NIL\")\n",FF1);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for FF1 (unknown to the C compiler).\")\n");
#endif
#ifdef B0
printf("(cl:defconstant B0 %d \"NIL\")\n",B0);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B0 (unknown to the C compiler).\")\n");
#endif
#ifdef B50
printf("(cl:defconstant B50 %d \"NIL\")\n",B50);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B50 (unknown to the C compiler).\")\n");
#endif
#ifdef B75
printf("(cl:defconstant B75 %d \"NIL\")\n",B75);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B75 (unknown to the C compiler).\")\n");
#endif
#ifdef B110
printf("(cl:defconstant B110 %d \"NIL\")\n",B110);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B110 (unknown to the C compiler).\")\n");
#endif
#ifdef B134
printf("(cl:defconstant B134 %d \"NIL\")\n",B134);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B134 (unknown to the C compiler).\")\n");
#endif
#ifdef B150
printf("(cl:defconstant B150 %d \"NIL\")\n",B150);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B150 (unknown to the C compiler).\")\n");
#endif
#ifdef B200
printf("(cl:defconstant B200 %d \"NIL\")\n",B200);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B200 (unknown to the C compiler).\")\n");
#endif
#ifdef B300
printf("(cl:defconstant B300 %d \"NIL\")\n",B300);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B300 (unknown to the C compiler).\")\n");
#endif
#ifdef B600
printf("(cl:defconstant B600 %d \"NIL\")\n",B600);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B600 (unknown to the C compiler).\")\n");
#endif
#ifdef B1200
printf("(cl:defconstant B1200 %d \"NIL\")\n",B1200);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B1200 (unknown to the C compiler).\")\n");
#endif
#ifdef B1800
printf("(cl:defconstant B1800 %d \"NIL\")\n",B1800);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B1800 (unknown to the C compiler).\")\n");
#endif
#ifdef B2400
printf("(cl:defconstant B2400 %d \"NIL\")\n",B2400);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B2400 (unknown to the C compiler).\")\n");
#endif
#ifdef B4800
printf("(cl:defconstant B4800 %d \"NIL\")\n",B4800);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B4800 (unknown to the C compiler).\")\n");
#endif
#ifdef B9600
printf("(cl:defconstant B9600 %d \"NIL\")\n",B9600);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B9600 (unknown to the C compiler).\")\n");
#endif
#ifdef B19200
printf("(cl:defconstant B19200 %d \"NIL\")\n",B19200);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B19200 (unknown to the C compiler).\")\n");
#endif
#ifdef B38400
printf("(cl:defconstant B38400 %d \"NIL\")\n",B38400);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for B38400 (unknown to the C compiler).\")\n");
#endif
#ifdef CSIZE
printf("(cl:defconstant CSIZE %d \"NIL\")\n",CSIZE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CSIZE (unknown to the C compiler).\")\n");
#endif
#ifdef CS5
printf("(cl:defconstant CS5 %d \"NIL\")\n",CS5);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CS5 (unknown to the C compiler).\")\n");
#endif
#ifdef CS6
printf("(cl:defconstant CS6 %d \"NIL\")\n",CS6);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CS6 (unknown to the C compiler).\")\n");
#endif
#ifdef CS7
printf("(cl:defconstant CS7 %d \"NIL\")\n",CS7);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CS7 (unknown to the C compiler).\")\n");
#endif
#ifdef CS8
printf("(cl:defconstant CS8 %d \"NIL\")\n",CS8);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CS8 (unknown to the C compiler).\")\n");
#endif
#ifdef CSTOPB
printf("(cl:defconstant CSTOPB %d \"NIL\")\n",CSTOPB);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CSTOPB (unknown to the C compiler).\")\n");
#endif
#ifdef CREAD
printf("(cl:defconstant CREAD %d \"NIL\")\n",CREAD);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CREAD (unknown to the C compiler).\")\n");
#endif
#ifdef PARENB
printf("(cl:defconstant PARENB %d \"NIL\")\n",PARENB);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for PARENB (unknown to the C compiler).\")\n");
#endif
#ifdef PARODD
printf("(cl:defconstant PARODD %d \"NIL\")\n",PARODD);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for PARODD (unknown to the C compiler).\")\n");
#endif
#ifdef HUPCL
printf("(cl:defconstant HUPCL %d \"NIL\")\n",HUPCL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for HUPCL (unknown to the C compiler).\")\n");
#endif
#ifdef CLOCAL
printf("(cl:defconstant CLOCAL %d \"NIL\")\n",CLOCAL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for CLOCAL (unknown to the C compiler).\")\n");
#endif
#ifdef ECHO
printf("(cl:defconstant ECHO %d \"NIL\")\n",ECHO);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECHO (unknown to the C compiler).\")\n");
#endif
#ifdef ECHOE
printf("(cl:defconstant ECHOE %d \"NIL\")\n",ECHOE);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECHOE (unknown to the C compiler).\")\n");
#endif
#ifdef ECHOK
printf("(cl:defconstant ECHOK %d \"NIL\")\n",ECHOK);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECHOK (unknown to the C compiler).\")\n");
#endif
#ifdef ECHONL
printf("(cl:defconstant ECHONL %d \"NIL\")\n",ECHONL);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ECHONL (unknown to the C compiler).\")\n");
#endif
#ifdef ICANON
printf("(cl:defconstant ICANON %d \"NIL\")\n",ICANON);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ICANON (unknown to the C compiler).\")\n");
#endif
#ifdef IEXTEN
printf("(cl:defconstant IEXTEN %d \"NIL\")\n",IEXTEN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for IEXTEN (unknown to the C compiler).\")\n");
#endif
#ifdef ISIG
printf("(cl:defconstant ISIG %d \"NIL\")\n",ISIG);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for ISIG (unknown to the C compiler).\")\n");
#endif
#ifdef NOFLSH
printf("(cl:defconstant NOFLSH %d \"NIL\")\n",NOFLSH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for NOFLSH (unknown to the C compiler).\")\n");
#endif
#ifdef TOSTOP
printf("(cl:defconstant TOSTOP %d \"NIL\")\n",TOSTOP);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TOSTOP (unknown to the C compiler).\")\n");
#endif
#ifdef TCSANOW
printf("(cl:defconstant TCSANOW %d \"NIL\")\n",TCSANOW);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCSANOW (unknown to the C compiler).\")\n");
#endif
#ifdef TCSADRAIN
printf("(cl:defconstant TCSADRAIN %d \"NIL\")\n",TCSADRAIN);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCSADRAIN (unknown to the C compiler).\")\n");
#endif
#ifdef TCSAFLUSH
printf("(cl:defconstant TCSAFLUSH %d \"NIL\")\n",TCSAFLUSH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCSAFLUSH (unknown to the C compiler).\")\n");
#endif
#ifdef TCIFLUSH
printf("(cl:defconstant TCIFLUSH %d \"NIL\")\n",TCIFLUSH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCIFLUSH (unknown to the C compiler).\")\n");
#endif
#ifdef TCIOFLUSH
printf("(cl:defconstant TCIOFLUSH %d \"NIL\")\n",TCIOFLUSH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCIOFLUSH (unknown to the C compiler).\")\n");
#endif
#ifdef TCOFLUSH
printf("(cl:defconstant TCOFLUSH %d \"NIL\")\n",TCOFLUSH);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCOFLUSH (unknown to the C compiler).\")\n");
#endif
#ifdef TCIOFF
printf("(cl:defconstant TCIOFF %d \"NIL\")\n",TCIOFF);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCIOFF (unknown to the C compiler).\")\n");
#endif
#ifdef TCION
printf("(cl:defconstant TCION %d \"NIL\")\n",TCION);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCION (unknown to the C compiler).\")\n");
#endif
#ifdef TCOOFF
printf("(cl:defconstant TCOOFF %d \"NIL\")\n",TCOOFF);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCOOFF (unknown to the C compiler).\")\n");
#endif
#ifdef TCOON
printf("(cl:defconstant TCOON %d \"NIL\")\n",TCOON);
#else
printf("(sb-int:style-warn \"Couln't grovel definition for TCOON (unknown to the C compiler).\")\n");
#endif
exit(0);
}
